- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 948da704-f13d-4f26-9374-26325e9ae2b9
    creation_time: 2023-02-17T13:34:28.650675Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/underapprox_1-2.c
      input_file_hashes:
        c/loop-acceleration/underapprox_1-2.c: 3627a732530e36fdf7a132fca7d3f33785550e6f2e2a95fdbae864743bbd37d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/underapprox_1-2.c
    file_hash: 3627a732530e36fdf7a132fca7d3f33785550e6f2e2a95fdbae864743bbd37d1
    line: 16
    column: 0
    function: main
  loop_invariant:
    string: (x == 0 && y == 1) || (x == 1 && y == 2) || (x == 2 && y == 4) || (x == 3 && y == 8) || (x == 4 && y == 16) || (x == 5 && y == 32) || (x == 6 && y == 64)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 430b9525-03aa-4fce-b6c7-ff0e89fab4f3
    creation_time: 2023-02-17T13:34:28.651043Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/underapprox_1-2.c
      input_file_hashes:
        c/loop-acceleration/underapprox_1-2.c: 3627a732530e36fdf7a132fca7d3f33785550e6f2e2a95fdbae864743bbd37d1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/underapprox_1-2.c
    file_hash: 3627a732530e36fdf7a132fca7d3f33785550e6f2e2a95fdbae864743bbd37d1
    line: 22
    column: 0
    function: main
  location_invariant:
    string: y % 3 != 0
    type: assertion
    format: C

